import { ElementRef } from '@angular/core';
import { FormControl, ValidationErrors, Validator } from '@angular/forms';
import { ValidationMessagesLocalizationModel } from './von-form-validation.model';
export declare abstract class VonFormValidationBase implements Validator {
    protected element: ElementRef;
    ngModel?: any;
    name?: string;
    customName?: string;
    required?: boolean;
    requiredMessage?: string;
    equalTo?: any;
    equalIgnoreCase?: boolean;
    equalToMessage?: string;
    manualVal?: boolean;
    manualValMessage?: string;
    protected validator: ValidationErrors;
    protected message: string;
    protected messages: ValidationMessagesLocalizationModel;
    protected $label?: HTMLElement;
    constructor(element: ElementRef);
    validate(formValue: FormControl): ValidationErrors;
    protected getCustomValidators: (value: any) => ValidationErrors;
    protected getClosestForm: (element: HTMLElement) => HTMLElement;
    protected getLabelText: () => string;
    protected runValidation(): void;
}
